Subject: RE: Unable to run B19.1 tix4180.exe, cygtclsh80.exe, & cygwish80. exe on NT4.0 sp3 i386 system
From: [email-masked]

17 Mar 1998 21:42:17 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="iso-8859-1"
Content-Transfer-Encoding: 7BIT
To: [email-masked]
Cc: [email-masked], [email-masked]

I tried the fixes (below) that showed up last week
and I tried them again this morning after grabbing
the new cygwinb19.dll (b19.1)

By the way, I'm running under Win95.

Both times I get the following :

     BASH.EXE-2.01$ cd H-i386-cygwin32/bin
     BASH.EXE-2.01$ ls cygwi*.exe
     cygwin.exe     cygwish80.exe
     BASH.EXE-2.01$ cp cygwish80.exe cygwish80_exe.save
     BASH.EXE-2.01$ objdump -h cygwish80.exe
     
     cygwish80.exe:     file format pei-i386
     
     Sections:
     Idx Name          Size      VMA       LMA       File off  Algn
       0 .text         00001000  00401000  00000ea4  00000400  2**2
                       CONTENTS, ALLOC, LOAD, CODE
       1 .bss          000000b8  00402000  00000000  00000000  2**2
                       ALLOC
       2 .data         00000200  00403000  0000005c  00001400  2**2
                       CONTENTS, ALLOC, LOAD, DATA
       3 .rdata        00000200  00404000  00000014  00001600  2**2
                       CONTENTS, ALLOC, LOAD, DATA
       4 .idata        00000800  00405000  0000068c  00001800  2**2
                       CONTENTS, ALLOC, LOAD, DATA
       5 .rsrc         00000a00  00444000  00000968  00002000  2**2
                       CONTENTS, ALLOC, LOAD, DATA

     BASH.EXE-2.01$ objcopy --remove-section=.rsrc cygwish80.exe
     BASH.EXE-2.01$
     BASH.EXE-2.01$ objdump -h cygwish80.exe
     
     cygwish80.exe:     file format pei-i386
     
     Sections:
     Idx Name          Size      VMA       LMA       File off  Algn
       0 .text         00001000  00401000  00000ea4  00000400  2**2
                       CONTENTS, ALLOC, LOAD, CODE
       1 .bss          000000b8  00402000  00000000  00000000  2**2
                       ALLOC
       2 .data         00000200  00403000  0000005c  00001400  2**2
                       CONTENTS, ALLOC, LOAD, DATA
       3 .rdata        00000200  00404000  00000014  00001600  2**2
                       CONTENTS, ALLOC, LOAD, DATA
       4 .idata        00000800  00405000  0000068c  00001800  2**2
                       CONTENTS, ALLOC, LOAD, DATA
     
     BASH.EXE-2.01$
     BASH.EXE-2.01$
     BASH.EXE-2.01$ cygwish80

At this point I get a dialog window that pops up...
After pressing "Close", bash comes back with the following :

     BASH.EXE: //E/CYGNUS/B19/H-I386-C/BIN/cygwish80: Permission denied
          
Here is the dialog window (the usual two buttons, CLOSE and DETAILS)
     
         +-----------------------------------------------------------+
         |                                                           |
         |  This program has performed an illegal operation          |
         |  and will be shut down.                                   |
         |                                                           |
         |  Quit all programs, and then restart your computer.  If   |
         |  the problem persists, contact the program vendor.        |
         |                                                           |
         +-----------------------------------------------------------+
     
Pressing "Details", gives me the following :
     
     <UNKNOWN> caused an invalid page fault in
     module <unknown> at 0000:bff8487a.
     Registers:
     EAX=00444000 CS=0137 EIP=bff8487a EFLGS=00010206
     EBX=00410000 SS=013f ESP=8318ac0c EBP=8318ac88
     ECX=00010000 DS=013f ESI=00000001 FS=3f6f
     EDX=c44618c8 ES=013f EDI=00444000 GS=0000
     Bytes at CS:EIP:
     66 8b 48 0e 83 c0 10 83 45 d0 04 66 8b 50 fc 89 
     Stack dump:
     00444000 815776f8 8157a8b4 00000000 00000000 00000001 
     00410000 00000000 00000000 bff713ee 00000137 bff7c751 
     00430000 00000001 00000000 00000000 

> -----Original Message-----
> From:	Karl Martin Syring [SMTP:[email-masked]]
> Sent:	Friday, March 13, 1998 12:48 PM
> To:	'Tom Epperly'; [email-masked]
> Subject:	RE: Unable to run B19.1 tix4180.exe, cygtclsh80.exe, &
> cygwish80.exe on NT4.0 sp3 i386 system
> 
> This point as adrressed more than a week ago by Mumit Khan. I have
> posted a 
> reply a week ago that seems to have disappeared inside the Cygnus
> black hole 
> (uuhh, bad pun; Cygnus ist not a black hole). Here is a copy of of the
> 
> messages:
> 
> === Begin message ===
> You are right. Now, if you add
> SET TIX_LIBRARY=/usr/share/tix4.1/
> to the cygnus.bat file even the windowed gdb will work in case you
> have mounted 
> the CYGROOT directory as /usr. Strangely
> SET TIX_LIBRARY=%CYGROOT%\share\tix4.1\
> did not do the trick.
> 
> Regards
> Karl
> 
> 
> 
> 
> -----Original Message-----
> From:	Mumit Khan [SMTP:[email-masked]]
> Sent:	Monday, March 02, 1998 10:41 PM
> To:	Noah M. Zigas
> Cc:	[email-masked]
> Subject:	Re: cygwish80 & cygtclsh80
> 
> Wonder if it's the old .rsrc section problem ... See if the
> executables
> have a .rsrc section:
> 
>   % objdump -h cygwish80.exe
> 
> will give you a list of sections in the left column (eg., .text,
> .data,
> etc). If it does have ".rsrc" entry, try the following on the
> executables
> giving you trouble:
> 
>   % [save the original somewhere!]
>   % objcopy --remove-section=.rsrc cygwish80.exe
> 
> I don't have b19 installed yet, so I might be completely off the base
> here. Also, I don't know what you might lose by removing the .rsrc
> section. Let's hope that Ian Taylor is reading this message.
> 
> Mumit
> === End message ===
> 
> -----Original Message-----
> From:	Tom Epperly [SMTP:[email-masked]]
> Sent:	Thursday, March 12, 1998 3:13 PM
> To:	[email-masked]
> Subject:	Unable to run B19.1 tix4180.exe, cygtclsh80.exe, &
> cygwish80.exe on 
> NT4.0 sp3 i386 system
> 
> I am running Windows NT 4.0 (Service pack 3) on a Pentium based
> motherboard.
> I installed cygwin32 from the binary distribution (i.e. cdk.exe and
> usertools.exe) and installed the b19.1 version of cygwinb19.dll.  I've
> tried
> to run tix4180, cygtclsh80 and cygwish80 tools from a bash shell
> window,
> MS-DOS window and from the Windows NT Explorer.  My experience is
> summarized
> below.
> 
> Log of trying to run from bash window
> =====================================
> bash-2.01$ tix4180.exe
> bash: /Cygnus/B19/H-i386-cygwin32/bin/tix4180.exe: Permission denied
> bash-2.01$ cygtclsh80.exe
> bash: /Cygnus/B19/H-i386-cygwin32/bin/cygtclsh80.exe: Permission
> denied
> bash-2.01$ cygwish80.exe
> bash: /Cygnus/B19/H-i386-cygwin32/bin/cygwish80.exe: Permission denied
> bash-2.01$ pwd
> /Cygnus/B19/H-i386-cygwin32/bin
> bash-2.01$
> 
> Try to run from Windows NT Exlorer
> ==================================
> Double clicking on tix4180.exe, cygtclsh80.exe or cygwish80.exe
> produces a
> dialog box with the message like (the file name changes of course):
> C:\Cygnus\B19\H-i386-cygwin32\bin\tix4180.exe is not a valid Windows
> NT
> application.
> 
> Try to run from MS-DOS window
> =============================
> I get the same sort of dialog box when I try to run from a MS-DOS
> window
> plus I get an Access denied message in the MS-DOS window.
> 
> C:\Cygnus\B19\H-i386-cygwin32>tix4180
> Access is denied.
> 
> C:\Cygnus\B19\H-i386-cygwin32>cygtclsh80
> Access is denied.
> 
> C:\Cygnus\B19\H-i386-cygwin32>cygwish80
> Access is denied.
> 
> C:\Cygnus\B19\H-i386-cygwin32>
> --
> ----------------------------------------------------------------------
> -------
> Tom Epperly	[email-masked]	 Ph:617-949-1860
> FAX:617-949-1030
> Aspen Technology, Ten Canal Park, Cambridge, MA 02141-2201 U.S.A.
> ----------------------------------------------------------------------
> -------
> 
> -
> For help on using this list (especially unsubscribing), send a message
> to
> "[email-masked]" with one line of text: "help".
> -
> For help on using this list (especially unsubscribing), send a message
> to
> "[email-masked]" with one line of text: "help".
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".